pidgin: PurpleCommandsUiOps Struct Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Fields
PurpleCommandsUiOps Struct Reference

Command UI operations; UIs should implement this if they want to handle commands themselves, rather than relying on the core. More...

`#include <cmds.h>`

## Data Fields
void(* | register_command )(const gchar *name, PurpleCmdPriority priority, PurpleCmdFlag flags, const gchar *prpl_id, const gchar *help, PurpleCmd *cmd)
| If implemented, the UI is responsible for handling commands.
void(* | unregister_command )(const gchar *name, const gchar *prpl_id)
| Should be implemented if register_command is implemented.
void(* | _purple_reserved1 )(void)
void(* | _purple_reserved2 )(void)
void(* | _purple_reserved3 )(void)
void(* | _purple_reserved4 )(void)

## Detailed Description

Command UI operations; UIs should implement this if they want to handle commands themselves, rather than relying on the core.

See also
  ui-ops

Definition at line 107 of file cmds.h.

## Field Documentation

## ◆ _purple_reserved1

void(* PurpleCommandsUiOps::_purple_reserved1) (void)

Definition at line 121 of file cmds.h.

## ◆ _purple_reserved2

void(* PurpleCommandsUiOps::_purple_reserved2) (void)

Definition at line 122 of file cmds.h.

## ◆ _purple_reserved3

void(* PurpleCommandsUiOps::_purple_reserved3) (void)

Definition at line 123 of file cmds.h.

## ◆ _purple_reserved4

void(* PurpleCommandsUiOps::_purple_reserved4) (void)

Definition at line 124 of file cmds.h.

## ◆ register_command

void(* PurpleCommandsUiOps::register_command) (const gchar *name, PurpleCmdPriority priority, PurpleCmdFlag flags, const gchar *prpl_id, const gchar *help, PurpleCmd *cmd)

If implemented, the UI is responsible for handling commands.

Definition at line 111 of file cmds.h.

## ◆ unregister_command

void(* PurpleCommandsUiOps::unregister_command) (const gchar *name, const gchar *prpl_id)

Should be implemented if register_command is implemented.

name and prpl_id will have the same value that were used for the register_command call.

Definition at line 119 of file cmds.h.

The documentation for this struct was generated from the following file:

- cmds.h